import request from '@/utils/request'

export default{
    getEquipList(searchModel){
        return request({
            url: '/equip/list',
            method: 'get',
            params:{
              pageNo: searchModel.pageNo,
              pageSize: searchModel.pageSize,
              focal: searchModel.focal,
              status: searchModel.status
            }
          });
      },
      addEquip(equip){
        return request({
          url: '/equip',
          method: 'post',
          data: equip
        });
      },
      updateEquip(equip){
        return request({
          url: '/equip',
          method: 'put',
          data: equip
        });
      },
      saveEquip(equip){
        if(equip.id == null && equip.id == undefined){
          return this.addEquip(equip);
        }
        return this.updateEquip(equip);
      },
      getEquipById(id){
        return request({
          //url: '/equip/' + id,
          url: `/equip/${id}`,
          method: 'get'
        });
      },
      deleteEquipById(id){
        return request({
          url: `/equip/${id}`,
          method: 'delete'
        });
      },

}